### Method

# Vte Terminal ref_termprop_image_pixbuf

since: 0.80

#### Declaration [src]

    GdkPixbuf*
    vte_terminal_ref_termprop_image_pixbuf (
      VteTerminal* terminal,
      const char* prop
    )

#### Description [src]

Returns the value of a `VTE_PROPERTY_IMAGE` termprop as a `GdkPixbuf`, or `NULL` if `prop` is unset, or `prop` is not a registered property.

Available since: 0.80

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GdkPixbuf`

The property’s value as a `GdkPixbuf`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.